util.program

## Class CompoundedProgramFieldType

- java.lang.Object
- - util.program.CompoundedProgramFieldType

-     public class CompoundedProgramFieldType
      extends java.lang.Object

  The program field type for special compounded types.
  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CompoundedProgramFieldType` | `EPISODE_COMPOSITION` The compounded field type for the episode formating

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompoundedProgramFieldType` | `getCompoundedProgramFieldTypeForId(int id)` Gets the compounded program field type for the given id.
    `java.lang.String` | `getFormattedValueForProgram(Program prog)` Gets the formatted value for the given program for this compounded field type.
    `int` | `getId()` Gets the id of this compounded field type.
    `java.lang.String` | `getName()` Gets the name of this compounded field type.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EPISODE_COMPOSITION

          public static final CompoundedProgramFieldType EPISODE_COMPOSITION

      The compounded field type for the episode formating

  - ### Method Detail

    - #### getFormattedValueForProgram

          public java.lang.String getFormattedValueForProgram(Program prog)

      Gets the formatted value for the given program for this compounded field type.
      Parameters:
        `prog` - The Program to get the formatted value for.
      Returns:
        The formatted value.

    - #### getName

          public java.lang.String getName()

      Gets the name of this compounded field type.
      Returns:
        The name of this compounded field type.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getId

          public int getId()

      Gets the id of this compounded field type.
      Returns:
        The id of this compounded field type.

    - #### getCompoundedProgramFieldTypeForId

          public static CompoundedProgramFieldType getCompoundedProgramFieldTypeForId(int id)

      Gets the compounded program field type for the given id.
      Parameters:
        `id` - The id to get the compounded field type for.
      Returns:
        The compounded field type for the given id or `null` if the compounded field type of the id was not found.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)